clan::Gradient Class Reference - ClanLib SDK
Description: clan::Gradient Class Reference

Public Member Functions | Public Attributes | List of all members
clan::Gradient Class Reference
clanDisplay 2D

Colorgradient description class. More...

`#include <gradient.h>`

## Public Member Functions
| Gradient ()
| Constructs a color gradient.
| Gradient (const Colorf &first_color, const Colorf &second_color)
| Constructs a Gradient.
| Gradient (const Colorf &top_left, const Colorf &top_right, const Colorf &bottom_left, const Colorf &bottom_right)
| Constructs a color gradient.
bool | operator!= (const Gradient &other) const
| Compares gradient to another one.
bool | operator== (const Gradient &other) const
| Compares gradient to another one.

## Public Attributes
Colorf | bottom_left
| Color of bottom left corner of gradient.
Colorf | bottom_right
| Color of bottom right corner of gradient.
Colorf | top_left
| Color of top left corner of gradient.
Colorf | top_right
| Color of top right corner of gradient.

## Detailed Description

Colorgradient description class.

## Constructor & Destructor Documentation

## ◆ Gradient() [1/3]

clan::Gradient::Gradient | ( |  | ) |
| inline

Constructs a color gradient.

Referenced by operator!=(), and operator==().

## ◆ Gradient() [2/3]

clan::Gradient::Gradient | ( | const Colorf & | top_left,
|  | const Colorf & | top_right,
|  | const Colorf & | bottom_left,
|  | const Colorf & | bottom_right )
| inline

Constructs a color gradient.

Parameters

  top_left | Top left color component.
  top_right | Top right color component.
  bottom_left | Bottom left color component.
  bottom_right | Bottom right color component.

References bottom_left, bottom_right, top_left, and top_right.

## ◆ Gradient() [3/3]

clan::Gradient::Gradient | ( | const Colorf & | first_color,
|  | const Colorf & | second_color )
| inline

Constructs a Gradient.

Parameters

  first_color | = Colorf
  second_color | = Colorf

References bottom_left, bottom_right, top_left, and top_right.

## Member Function Documentation

## ◆ operator!=()

bool clan::Gradient::operator!= | ( | const Gradient & | other | ) | const
| inline

Compares gradient to another one.

References Gradient().

## ◆ operator==()

bool clan::Gradient::operator== | ( | const Gradient & | other | ) | const
| inline

Compares gradient to another one.

References Gradient(), bottom_left, bottom_right, top_left, and top_right.

## Member Data Documentation

## ◆ bottom_left

Colorf clan::Gradient::bottom_left

Color of bottom left corner of gradient.

Referenced by Gradient(), Gradient(), and operator==().

## ◆ bottom_right

Colorf clan::Gradient::bottom_right

Color of bottom right corner of gradient.

Referenced by Gradient(), Gradient(), and operator==().

## ◆ top_left

Colorf clan::Gradient::top_left

Color of top left corner of gradient.

Referenced by Gradient(), Gradient(), and operator==().

## ◆ top_right

Colorf clan::Gradient::top_right

Color of top right corner of gradient.

Referenced by Gradient(), Gradient(), and operator==().

The documentation for this class was generated from the following file:

- gradient.h